<?php defined('SYSPATH') or die('No direct script access.');

class Categories_Model extends Tree
{
    protected $table = 'categories';

    public function prepareJson()
    {
	return json_encode($this->prepareArray());
    }

    public function prepareArray($step=0,$temp=NULL,$childNodes=NULL,$child=NULL)
    {
	if ($step==0)
	{
	    $child = $this;
	    $temp = array();
	    $temp['draggable'] = false;
	}

	$temp['id'] = $child->id;
	$temp['text'] = $child->text;
	$temp['left'] = $child->left;
	$temp['right'] = $child->right;
	$temp['leaf'] = !$child->hasDescendants();
	$temp['cls'] = $child->hasDescendants() ? 'folder':'file';
	if ($child->hasDescendants())
	{
	    $temp['children'] = array();
	    $children = $child->getChildren();
	    foreach ($children as $child)
	    {
		$step++;
		$this->prepareArray(&$step,&$temp['children'][],$children,$child);
		$step--;
	    }
	}
	if ($step==0)
	    return array($temp);
    }
}