<?php defined('SYSPATH') OR die('No direct access allowed.');

class Welcome_Controller extends Controller 
{
    private $categories;
    public function __construct()
    {
        parent::__construct();

	$this->template = new View('template');
	$this->template->body = new View('welcome');

	$this->categories=new Categories_Model();//domyślnie wczytujemy węzeł o id=1
    }

    public function index()
    {
	$this->template->body->tree = $this->categories->prepareArray();
	$this->template->render(TRUE);
    }

    public function add($id)
    {
	$item = $this->categories->insertItem($id);
	$item->text = "nowy".$item->id;
	$this->categories->update($item);
	url::redirect(url::base());
    }

    public function remove($id)
    {
	$this->categories->removeItem($id);
	url::redirect(url::base());
    }

    public function up($id)
    {
	$this->categories->move($id,0);
	url::redirect(url::base());
    }
}